Overview
GET
/persona/service-templatespersonaList service_templates
List service-templates.
Auth: bearerAuth — calls run as the authenticated user.
Responses
200
List
- idstring
- providerKindstring
- namestring
- baseUrlstring
- documentationUrlstring?
- statusUrlstring?
- connectionSpecstring | number | boolean? | object | any[]?
- createdAtstring
- updatedAtstring
Example
[
{
"id": "string",
"providerKind": "string",
"name": "string",
"baseUrl": "string",
"documentationUrl": "string",
"statusUrl": "string",
"connectionSpec": "string",
"createdAt": "string",
"updatedAt": "string"
}
]401
Error
- erroroptionalobject
Example
{
"error": {
"message": "string",
"code": "string"
}
}Code examples
cURL
curl -X GET "https://api.agenticdeveloperhub.com/persona/service-templates" \
-H "Authorization: Bearer YOUR_TOKEN"JavaScript
const res = await fetch("https://api.agenticdeveloperhub.com/persona/service-templates", {
method: "GET",
headers: {
"Authorization": "Bearer YOUR_TOKEN"
},
});
const data = await res.json();